hidden pulp related user is not hidden, have incorrect email and can be deleted
Status: Closed   

Priority: Normal   

Assignee: Walden Raines   

Category:    

Target version: Katello 2.0   

Difficulty: easy Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1075523 Red Hat JIRA:  

Pull request: https://github.com/Katello/katello/pull/455
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1075523

Description of problem:

Hidden user called "hidden-P9dcO7" on my case is not hidden in webUI, have incorrect email and can be deleted

I have been explained by inecas it is there because:

<inecas> jhutar: this user is used when some operation needs to happen without user particular user logged in: usually data seeding

to external services

<inecas> jhutar: pulp in particular

Version-Release number of selected component (if applicable):

Satellite-6.0.3-RHEL-6-20140305.1

How reproducible:

always

Steps to Reproduce:

1. Check https://&lt;fqdn&gt;/users

Actual results:

User called "hidden-P9dcO7" on my case is not hidden in webUI, have incorrect email and can be deleted

Expected results:

User should be hidden (for API as well I guess), and you should not be able to delete it. It's mail should translate to something

meaningful

Associated revisions

Revision fabaaedd - 08/08/2014 09:59 AM - Walden Raines

Fixes #6870/BZ1075523: use ANONYMOUS_ADMIN for hidden user.

Foreman recently added the concept of an ANONYMOUS_ADMIN to User.

This commit makes use of that in order to ensure that this user

is not displayed on the users page.

http://projects.theforeman.org/issues/6870

https://bugzilla.redhat.com/show_bug.cgi?id=1075523

Revision 4e24a6be - 08/11/2014 10:52 AM - Walden Raines

Merge pull request #4550 from waldenraines/6870

Fixes #6870/BZ1075523: use ANONYMOUS_ADMIN for hidden user.

History

#1 - 07/31/2014 01:15 PM - The Foreman Bot

05/18/2024 1/2

https://bugzilla.redhat.com/show_bug.cgi?id=1075523
https://&lt;fqdn&gt;/users
http://projects.theforeman.org/issues/6870
https://bugzilla.redhat.com/show_bug.cgi?id=1075523


- Status changed from New to Ready For Testing

- Target version set to 1.7.5

- Pull request https://github.com/theforeman/foreman/pull/1638 added

- Pull request deleted ()

#2 - 08/07/2014 03:45 PM - Walden Raines

- Project changed from Foreman to Katello

- Target version deleted (1.7.5)

- Triaged set to No

- Pull request https://github.com/Katello/katello/pull/4550 added

- Pull request deleted (https://github.com/theforeman/foreman/pull/1638)

#3 - 08/07/2014 05:40 PM - Eric Helms

- Category set to 81

- Target version set to 54

- Difficulty set to easy

- Triaged changed from No to Yes

#4 - 08/11/2014 11:01 AM - Walden Raines

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|fabaaedd675d0d0adde068c748c2d4cb717c8653.

#5 - 08/22/2014 09:24 AM - Eric Helms

- translation missing: en.field_release set to 13
